import ogr

from importer import Importer

TABLE_NAME="buildings"
PATH="Geodaesie/Bauwerke"
NAME="Buildings"


class Building(Importer):

    def getPath(self, base):
        return "%s/%s" % (base, PATH)


    def getTablename(self):
        return TABLE_NAME


    def getName(self):
        return NAME


    def isGeometryValid(self, geomType):
        return geomType == 2


    def isShapeRelevant(self, name, path):
        return True


    def createNewFeature(self, featureDef, feat, **args):
        newFeat = ogr.Feature(featureDef)
        newFeat.SetGeometry(feat.GetGeometryRef())

        if self.IsFieldSet(feat, "river_id"):
            newFeat.SetField("river_id", feat.GetField("river_id"))
        else:
            newFeat.SetField("river_id", self.river_id)

        if self.IsFieldSet(feat, "Name"):
            newFeat.SetField("name", feat.GetField("Name"))
        elif self.IsFieldSet(feat, "KWNAAM"):
            newFeat.SetField("name", feat.GetField("KWNAAM"))

        return newFeat

